Update Addon Settings Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_name}/settings"
payload = {
"ignore_differences": [
{
"group": "<string>",
"jq_path_expressions": ["<string>"],
"json_pointers": ["<string>"],
"kind": "<string>",
"managed_fields_managers": ["<string>"],
"name": "<string>",
"namespace": "<string>"
}
],
"retry_policy": {
"backoff": {
"duration": "5s",
"factor": 2,
"max_duration": "3m"
},
"limit": 5
},
"revision_history_limit": 123,
"strict_health_check": True,
"sync_policy": {
"auto_prune": True,
"automated": True,
"self_heal": True,
"sync_options": ["CreateNamespace=true", "ServerSideApply=true"]
},
"sync_window": {
"duration": "<string>",
"enabled": False,
"schedule": "<string>",
"timezone": "UTC"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ignore_differences: [
{
group: '<string>',
jq_path_expressions: ['<string>'],
json_pointers: ['<string>'],
kind: '<string>',
managed_fields_managers: ['<string>'],
name: '<string>',
namespace: '<string>'
}
],
retry_policy: {backoff: {duration: '5s', factor: 2, max_duration: '3m'}, limit: 5},
revision_history_limit: 123,
strict_health_check: true,
sync_policy: {
auto_prune: true,
automated: true,
self_heal: true,
sync_options: ['CreateNamespace=true', 'ServerSideApply=true']
},
sync_window: {duration: '<string>', enabled: false, schedule: '<string>', timezone: 'UTC'}
})
};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_name}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_name}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ignore_differences": [
{
"group": "<string>",
"jq_path_expressions": [
"<string>"
],
"json_pointers": [
"<string>"
],
"kind": "<string>",
"managed_fields_managers": [
"<string>"
],
"name": "<string>",
"namespace": "<string>"
}
],
"retry_policy": {
"backoff": {
"duration": "5s",
"factor": 2,
"max_duration": "3m"
},
"limit": 5
},
"revision_history_limit": 123,
"strict_health_check": true,
"sync_policy": {
"auto_prune": true,
"automated": true,
"self_heal": true,
"sync_options": [
"CreateNamespace=true",
"ServerSideApply=true"
]
},
"sync_window": {
"duration": "<string>",
"enabled": false,
"schedule": "<string>",
"timezone": "UTC"
}
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Imported Clusters
Update Addon Settings Endpoint
PUT
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
addons
/
{addon_name}
/
settings
Update Addon Settings Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_name}/settings"
payload = {
"ignore_differences": [
{
"group": "<string>",
"jq_path_expressions": ["<string>"],
"json_pointers": ["<string>"],
"kind": "<string>",
"managed_fields_managers": ["<string>"],
"name": "<string>",
"namespace": "<string>"
}
],
"retry_policy": {
"backoff": {
"duration": "5s",
"factor": 2,
"max_duration": "3m"
},
"limit": 5
},
"revision_history_limit": 123,
"strict_health_check": True,
"sync_policy": {
"auto_prune": True,
"automated": True,
"self_heal": True,
"sync_options": ["CreateNamespace=true", "ServerSideApply=true"]
},
"sync_window": {
"duration": "<string>",
"enabled": False,
"schedule": "<string>",
"timezone": "UTC"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ignore_differences: [
{
group: '<string>',
jq_path_expressions: ['<string>'],
json_pointers: ['<string>'],
kind: '<string>',
managed_fields_managers: ['<string>'],
name: '<string>',
namespace: '<string>'
}
],
retry_policy: {backoff: {duration: '5s', factor: 2, max_duration: '3m'}, limit: 5},
revision_history_limit: 123,
strict_health_check: true,
sync_policy: {
auto_prune: true,
automated: true,
self_heal: true,
sync_options: ['CreateNamespace=true', 'ServerSideApply=true']
},
sync_window: {duration: '<string>', enabled: false, schedule: '<string>', timezone: 'UTC'}
})
};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_name}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_name}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ignore_differences": [
{
"group": "<string>",
"jq_path_expressions": [
"<string>"
],
"json_pointers": [
"<string>"
],
"kind": "<string>",
"managed_fields_managers": [
"<string>"
],
"name": "<string>",
"namespace": "<string>"
}
],
"retry_policy": {
"backoff": {
"duration": "5s",
"factor": 2,
"max_duration": "3m"
},
"limit": 5
},
"revision_history_limit": 123,
"strict_health_check": true,
"sync_policy": {
"auto_prune": true,
"automated": true,
"self_heal": true,
"sync_options": [
"CreateNamespace=true",
"ServerSideApply=true"
]
},
"sync_window": {
"duration": "<string>",
"enabled": false,
"schedule": "<string>",
"timezone": "UTC"
}
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
⌘I